z/OS Version 1 Release 3 and OS/VS COBOL 
Author Message
 z/OS Version 1 Release 3 and OS/VS COBOL

As I read IBMs documentation, the Language Environment in z/OS Version
1 Release 3 only supports the IBM Enterprise COBOL compiler.  I also
read that IBM Enterprise COBOL compiler only supports ANSI 85 COBOL.

This tells me, OS/VS COBOL load modules will run in the runtime
environment in z/OS Version 1 Release 3, but they cannot be compiled
in it.

Can anyone confirm this for me?



Mon, 23 Aug 2004 07:06:37 GMT  
 z/OS Version 1 Release 3 and OS/VS COBOL
I think you are "bit confused".

LE does not (never has, never will) "support" any compiler - what it does is
support the object code PRODUCED by various compilers.

The LE in z/OS Version 1, Release 3 still supports load modules created by
all COBOL compilers from OS/VS COBOL V2.4 thru VS COBOL II (all releases)
thru SAA ADCycle COBOL/370 thru IBM COBOL for MVS & VM thru IBM COBOL for
OS/390 & VM thru IBM Enterprise COBOL for z/OS & OS/390.

Support for all of the compilers listed above up to and including IBM COBOL
for OS/390 & VM has been withdrawn or has announced withdrawal dates.
Support for all releases of OS/VS COBOL and VS COBOL II was withdrawn QUITE
a while ago.  HOWEVER, if you have (or even create new) load modules that
are link-edited with and run under a supported release of LE, they (the
object code) *IS* supported - as long as it does not use any "undocumented"
feature of the earlier compiler.

There has been an announcement that the release of CICS TS that comes AFTER
the latest one will NOT include support for OS/VS COBOL programs.  (CICS
"used to" need special support for OS/VS COBOL because it did not have a
REAL "re-entrant" feature).  Similarly, preprocessor support for currently
unsupported COBOL compilers is not available with the latest release of
CICS.

--
Bill Klein
 wmklein <at> ix.netcom.com

Quote:
> As I read IBMs documentation, the Language Environment in z/OS Version
> 1 Release 3 only supports the IBM Enterprise COBOL compiler.  I also
> read that IBM Enterprise COBOL compiler only supports ANSI 85 COBOL.

> This tells me, OS/VS COBOL load modules will run in the runtime
> environment in z/OS Version 1 Release 3, but they cannot be compiled
> in it.

> Can anyone confirm this for me?



Mon, 23 Aug 2004 08:52:06 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. OS/VS COBOL and z/OS Version 1 Release 3

2. os/vs cobol vs cobol II

3. New CICS removes Translator support for VS COBOL II (and OS/VS COBOL)

4. OS/VS COBOL to VS COBOL II

5. VS COBOL II vs. OS/390

6. VSAM problems re; cobol/os vs cobol/mvs

7. os/vs cobol to cobol II for mvs

8. How convert OS VS Cobol to MVS Cobol????

9. COBOL II calls to OS/VS COBOL programs in batch

10. OS/VS Cobol to Cobol for MVS

11. OS/390 release test periods Re: default variable initialization under os/390 v2r8

12. CobAnal for MVS, OS/390 and z/OS New version

 

 
Powered by phpBB® Forum Software